from zope.interface import Interface

class ISparklineData(Interface):

    def getSparklineData():
        """Get the data to represent in a sparkline
        """
        pass

    def getSparklineLayout(spark_type):
        """get the layout options we want to use for a particular type of 
        sparkline. (Right now, smooth or discrete.) Expects a dictionary
        with options one wants to override.
        """
        return {}
    